Public Member Functions | List of all members
StarObjectSmallGraphicInternal::SDRUserData Class Reference

Internal: virtual class to store a user data. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDRUserData:

## Public Member Functions
| SDRUserData (int id=-1)
std::string | getName () const override
| return the object name
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Additional Inherited Members
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Detailed Description

Internal: virtual class to store a user data.

## Constructor & Destructor Documentation

## ◆ SDRUserData()

StarObjectSmallGraphicInternal::SDRUserData::SDRUserData | ( | int | id = -1 | ) |
| inline explicit

## Member Function Documentation

## ◆ getName()

std::string StarObjectSmallGraphicInternal::SDRUserData::getName | ( |  | ) | const
| inline override virtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphic.

## ◆ print()

std::string StarObjectSmallGraphicInternal::SDRUserData::print | ( |  | ) | const
| override virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

Reimplemented in StarObjectSmallGraphicInternal::SDUDGraphic, and StarObjectSmallGraphicInternal::SDUDGraphicAnimation.

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx